/**
登陆页面专用CSS
 */

:root {
    --color-miku: #39c5bb;
    --color-miku-dark: #30a59c;
    --color-miku-transparent: #39c5bbb0;
}

/*动画效果*/
@keyframes logo_spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


body {
    background-color: var(--bs-white);
}



#login,
.social-login {
    /* width: 100%; */
    /* min-width: 360px; */
    width: 360px;
    /* max-width: 600px; */
    background-color: rgba(255, 255, 255, 1);
    /* box-sizing: border-box; */
    /* margin: 1rem auto; */
    padding: 0.75rem 1rem;
    margin: 0rem auto;
    border-radius: 0.25rem;
}


@media (min-width: 576px) {

    body {
        background-color: var(--color-miku);
    }

    #login,
    .social-login {
        margin: 1rem auto;
    }


}


/* 顶部logo样式 */
#login h1 a {
    background-image: url('https://cdn.mikuclub.fun/img/favicon/favicon-96x96.png');
    animation: logo_spin 10s linear infinite;
}


#login form {
    border: none;
    /* border-radius: .25rem; */
    margin: 0;
    padding: 0.25rem;
    font-weight: normal;
    background: none;
    box-shadow: none;
}


.login label {
    /* font-size: 14px; */
    /* line-height: 1.5; */
    /* display: inline-block; */
    margin-bottom: 0.25rem;
}

.login form .input {
    /* background: #fbfbfb; */
    font-size: 14px;
    /* line-height: 1.33333333; */
    /* width: 100%; */
    /* border-width: .0625rem; */
    /* padding: .1875rem .3125rem; */
    margin: 0 0 0.5rem 0;
    min-height: 36px;
    /* max-height: none; */
}

.login input[type=text]:focus,
.login input[type=password]:focus {
    border-color: var(--color-miku);
    box-shadow: none;
    outline: none;
}


/* 记住我 checkbox */
.login form .forgetmenot {
    display: none;
}






/* 登陆按钮容器 */
#login form p.submit {
    display: block;
    padding-top: 1rem;
    /* border-top: 1px solid #8c8f94; */

}




/* 登陆按钮/忘记密码/回到首页 */
#login #wp-submit,
#login #nav a,
#backtoblog a {
    /* width: 100%; */
    min-height: auto;
    font-size: 14px;
    transition: .5s;
    border: none;
    box-shadow: none;
    text-shadow: none;
    color: var(--bs-white);
    border-radius: .25rem;
    line-height: normal;
    padding: .25rem .25rem;
    display: block;
    text-align: center;
}

/* 登陆按钮 */
#login #wp-submit {
    width: 100%;
    background: var(--color-miku);
    font-weight: bold;
}

#login #wp-submit:hover {
    /* color: var(--bs-white); */
    background-color: var(--color-miku-dark);

}

/* 忘记密码容器 */
#login #nav,
#login #backtoblog {

    display: flex;
    padding: 0;
    margin: 0;
    gap: 0.5rem;
    padding: 0.25rem;
}

#login #nav {
    margin-top: 0.75rem;
}

/* 注册按钮/登录按钮/忘记密码按钮 */
#login #nav a {
    flex: 1;
}

#login #nav a.wp-login-register {
    background: var(--bs-primary);
}

#login #nav a.wp-login-register:hover {
    background-color: #0b5ed7;
}

#login #nav a.wp-login-lost-password {
    color: var(--bs-dark);
    background: var(--bs-warning);
}

#login #nav a.wp-login-lost-password:hover {
    background-color: #ffca2c;
}

#login #nav a.wp-login-log-in {
    background: var(--bs-success);
}

#login #nav a.wp-login-log-in:hover {
    background: #157347;
}

#login #backtoblog {
    margin-top: 0.25rem;
}

/* 回到主页 */
#login #backtoblog a {
    color: var(--bs-white);
    background-color: var(--bs-secondary);
    width: 100%;
}

#login #backtoblog a:hover {
    color: var(--bs-white);
    background-color: var(--bs-secondary);
}



/* 错误提示框 */
#login #login_error {
    border-left: none;
    background: var(--bs-white);
    box-shadow: none;
    border-radius: .25rem;
    border: 1px solid var(--bs-danger);
    padding: 0.25rem;
    margin-bottom: 0.5rem;
    font-size: 14px;
    color: var(--bs-danger);
}

#login #login_error a {
    display: none;
}

/* 忘记密码页面 说明框 */
#login .message {
    border-left: none;
    background: var(--bs-white);
    box-shadow: none;
    border-radius: .25rem;
    border: 1px solid #72aee6;
    padding: 0.25rem;
    margin-bottom: 0.5rem;
    font-size: 14px;
    color: #72aee6;
}

/* 忘记密码页面 生成密码按钮 */
#login .reset-pass-submit .button {
    margin-bottom: 1rem;
    width: 100%;
}

/*
======================================================================
*/

/* 注册表单底部提示 */
#registerform #reg_passmail{
    display: none;
}